## org.gnu.gtk
Class ProgressBarStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ProgressBarStyle

public class ProgressBarStyle
extends Enum

Field Summary
`static ProgressBarStyle` `CONTINUOUS`
`static ProgressBarStyle` `DISCRETE`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ProgressBarStyle` `and(ProgressBarStyle other)`
`static ProgressBarStyle` `intern(int value)`
`ProgressBarStyle` `or(ProgressBarStyle other)`
`boolean` `test(ProgressBarStyle other)`
`ProgressBarStyle` `xor(ProgressBarStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTINUOUS

    public static final ProgressBarStyle CONTINUOUS

### DISCRETE

    public static final ProgressBarStyle DISCRETE

Method Detail

### intern

    public static ProgressBarStyle intern(int value)

### or

    public ProgressBarStyle or(ProgressBarStyle other)

### and

    public ProgressBarStyle and(ProgressBarStyle other)

### xor

    public ProgressBarStyle xor(ProgressBarStyle other)

### test

    public boolean test(ProgressBarStyle other)